use strict;
use warnings;
use Test::More;
use Test::Pod;

eval "use Pod::Checker";
plan skip_all => 'Pod::Checker required' if $@;

my @pods = (
    all_pod_files('blib', 'man'),
);

plan tests => scalar(@pods) * 2;

foreach(@pods) {
    my $errors = podchecker($_);
    ok($errors >= 0, "File $_ contains pod");
    ok($errors <= 0, "Check Pod of $_");
}
